%global plugdir %{_libdir}/gkrellm2/plugins

Name:           gkrellm-volume
Version:        2.1.13
Release:        12%{?dist}
Summary:        GKrellM volume plugin

Group:          Applications/Multimedia
License:        GPLv2+
URL:            http://gkrellm.luon.net/volume.php
Source0:        http://gkrellm.luon.net/files/%{name}-%{version}.tar.gz
# Mailed upstream 2010-01-04
Patch0:         %{name}-version.patch
# Mailed upstream 2010-01-04
Patch1:         %{name}-optflags.patch
# Mailed upstream 2010-01-04, #552022
Patch2:         %{name}-2.1.13-device-updown-552022.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gkrellm-devel >= 2.0
BuildRequires:  gtk2-devel >= 2.0.1
BuildRequires:  gettext
BuildRequires:  alsa-lib-devel
Requires:       gkrellm%{?_isa} >= 2.0

%{?filter_setup:
%filter_provides_in %{plugdir}
%filter_setup}

%description
GKrellM plugin for controlling mixer devices.


%prep
%setup -q -n %{name}
%patch0
%patch1
%patch2 -p1
f=Changelog ; iconv -f iso-8859-1 -t utf-8 $f > $f.utf8 ; mv $f.utf8 $f


%build
CFLAGS="$RPM_OPT_FLAGS" make %{?_smp_mflags} enable_nls=1 enable_alsa=1


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{plugdir},%{_datadir}/locale}
make install \
  INSTALL_PROGRAM="install -p" \
  PLUGIN_DIR=$RPM_BUILD_ROOT%{plugdir} \
  LOCALEDIR=$RPM_BUILD_ROOT%{_datadir}/locale \
  enable_nls=1
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc Changelog COPYRIGHT README THEMING
%{plugdir}/volume.so


%changelog
* Mon Jan  4 2010 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-12
- Patch to fix crash when moving devices up/down in config (#552022).

* Wed Sep  2 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-11
- Filter out autoprovided volume.so (if %%filter_setup is available).

* Sat Jul 25 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-10
- Make dependency on gkrellm ISA qualified.
- Use %%global instead of %%define.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.13-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.13-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb  9 2008 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-7
- Fix URL.

* Tue Sep  4 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-6
- Convert docs to UTF-8.

* Thu Aug 16 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-5
- License: GPLv2+

* Wed Aug 30 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-4
- Rebuild.

* Wed Feb 15 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.1.13-3
- Rebuild, cosmetics.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.1.13-2
- rebuilt

* Sat Sep 11 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:2.1.13-0.fdr.1
- Update to 2.1.13.
- Patch to show correct version and honor $RPM_OPT_FLAGS.

* Mon Jun  7 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:2.1.11-0.fdr.1
- Update to 2.1.11.
- Enable ALSA support.

* Sun Sep  7 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.1.9-0.fdr.1
- Update to 2.1.9.

* Fri Jun 20 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.1.8-0.fdr.1
- Update to 2.1.8.

* Sat Apr 12 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.1.7-0.fdr.1
- First release.
